Tool: list_billing_account_sku_group_skus
Lists billing account visible SKUs that are contained by a billing account visible SKU group.
The following code sample shows how to use curl to call the list_billing_account_sku_group_skus MCP tool.
| Curl Request |
|---|
curl --location 'https://cloudbilling.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_billing_account_sku_group_skus", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for ListBillingAccountSkuGroupSkus.
ListBillingAccountSkuGroupSkusRequest
| JSON representation |
|---|
{ "parent": string, "pageSize": integer, "pageToken": string } |
| Fields | |
|---|---|
parent |
Required. The |
pageSize |
Maximum number of |
pageToken |
Page token received from a previous |
Output Schema
Response message for ListBillingAccountSkuGroupSkus.
ListBillingAccountSkuGroupSkusResponse
| JSON representation |
|---|
{
"billingAccountSkuGroupSkus": [
{
object ( |
| Fields | |
|---|---|
billingAccountSkuGroupSkus[] |
The returned |
nextPageToken |
Token that can be sent as |
BillingAccountSkuGroupSku
| JSON representation |
|---|
{ "name": string, "skuId": string, "displayName": string, "billingAccountService": string, "productTaxonomy": { object ( |
| Fields | |
|---|---|
name |
Resource name for the |
skuId |
Unique identifier for the SKU. It is the string after the collection identifier "skus/" Example: "AA95-CD31-42FE". |
displayName |
Description of the |
billingAccountService |
|
productTaxonomy |
List of product categories that apply to the |
geoTaxonomy |
Geographic metadata that applies to the |
ProductTaxonomy
| JSON representation |
|---|
{
"taxonomyCategories": [
{
object ( |
| Fields | |
|---|---|
taxonomyCategories[] |
All product categories that the |
TaxonomyCategory
| JSON representation |
|---|
{ "category": string } |
| Fields | |
|---|---|
category |
Name of the product category. |
GeoTaxonomy
| JSON representation |
|---|
{ "type": enum ( |
| Fields | |
|---|---|
type |
Type of geographic taxonomy associated with the |
Union field
|
|
globalMetadata |
Global geographic metadata with no regions. |
regionalMetadata |
Regional geographic metadata with 1 region. |
multiRegionalMetadata |
Multi-regional geographic metadata with 2 or more regions. |
Regional
| JSON representation |
|---|
{
"region": {
object ( |
| Fields | |
|---|---|
region |
Google Cloud region associated with the regional geographic taxonomy. |
Region
| JSON representation |
|---|
{ "region": string } |
| Fields | |
|---|---|
region |
Description of a Google Cloud region. Example: "us-west2". |
MultiRegional
| JSON representation |
|---|
{
"regions": [
{
object ( |
| Fields | |
|---|---|
regions[] |
Google Cloud regions associated with the multi-regional geographic taxonomy. |
Type
Different types of geographic taxonomy.
| Enums | |
|---|---|
TYPE_UNSPECIFIED |
Default value. Unspecified type. |
TYPE_GLOBAL |
Global geographic taxonomy with no regions. |
TYPE_REGIONAL |
Regional geographic taxonomy with 1 region. |
TYPE_MULTI_REGIONAL |
Multi-regional geographic taxonomy with 2 or more regions. |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌